package formules;import fr.ifremer.isisfish.entities.*;import org.codelutin.math.matrix.*;import fr.ifremer.isisfish.types.Date;import fr.ifremer.isisfish.types.Month;import fr.ifremer.isisfish.types.RangeOfValues;import fr.ifremer.isisfish.types.TimeUnit;import java.util.*;public class fr_ifremer_isisfish_entities_Equation_1169028646067_0_8320305110692499 implements fr.ifremer.isisfish.equation.PopulationMeanWeight {public double compute(fr.ifremer.isisfish.simulator.SimulationContext context, fr.ifremer.isisfish.entities.PopulationGroup group) throws Exception {//Equation de poids pour le modele en longueur
//selon la cle taille-poids issue des campagnes PelGas 2000-2005
//W =  0.004184069 * L ^  3.200812

double Poids  =  (0.004184069 * Math.pow((group.getMaxLength() + group.getMinLength())/2 , 3.200812))*0.001;
return Poids ;


/*   case 0: return 0.0;
    case 1: return 1.14e-03;//en vrai 0.14e-03
    case 2: return 1.18e-03;
    case 3: return 3.540672e-03;
    case 4: return 5.185470e-03;
    case 5: return 7.078453e-03;
    case 6: return 9.145455e-03;
    case 7: return 1.131538e-02;
    case 8: return 1.357068e-02;
    case 9: return 1.584510e-02;
    case 10: return 1.809209e-02;
    case 11: return 2.031879e-02;
    case 12: return 2.248e-02;
    case 13: return 2.456e-02;
    case 14: return 2.655e-02;
    case 15: return 3.294e-02;
    case 16: return 4.267680e-02;
    case 17: return 4.767091e-02;
    default: return 50;
  }
*/



}
}
